<p align="center">
  <a href="https://vuefire.vuejs.org" target="_blank" rel="noopener noreferrer">
    <img width="100" src="https://vuefire.vuejs.org/logo.svg" alt="VueFire logo">
  </a>
</p>
<br/>
<p align="center">
  <a href="https://npmjs.com/package/vuefire"><img src="https://badgen.net/npm/v/vuefire" alt="npm package"></a>
  <a href="https://github.com/vuejs/vuefire/actions/workflows/test.yml"><img src="https://github.com/vuejs/vuefire/workflows/test/badge.svg?branch=main" alt="build status"></a>
  <a href="https://codecov.io/github/vuejs/vuefire"><img src="https://badgen.net/codecov/c/github/vuejs/vuefire/main" alt="code coverage"></a>
</p>
<br/>

> Firebase for Vue made easy!

- Works with Vue >=2.7 and Vue 3
- Supports Composition and Options API
- Supports Vuex, Pinia, and anything that gives you a Vue `ref()`
- Built for Firebase 9 for optimal tree shaking
- Automatically listen for changes in nested references

[**📚 Documentation**](https://vuefire.vuejs.org/)

## Status

- VueFire is currently stable
- Nuxt VueFire is in _Preview_

## Roadmap

You can follow the progress and future plans on [the Roadmap issue](https://github.com/vuejs/vuefire/issues/1241).

## Installation

VueFire requires the `firebase` package to be installed as well as `vuefire`:

```bash
npm install vuefire firebase
```

## Usage

- [Getting Started](https://vuefire.vuejs.org/guide/getting-started.html)
- [Vite Demo](https://github.com/posva/vuefire-vite-example)
- _Coming soon_: Nuxt Demo.

## Related

- [Firebase Web Docs](https://firebase.google.com/docs/web/setup)
  - [Realtime database](https://firebase.google.com/docs/database/)
  - [Cloud Firestore](https://firebase.google.com/docs/firestore/) (You should try this one which is also realtime)

## License

[MIT](http://opensource.org/licenses/MIT)
